--
-- GlobalCompany - AddOn - DisableTurnOffMotor
--
-- @Interface: --
-- @Author: LS-Modcompany / kevink98
-- @Date: 01.03.2020
-- @Version: 1.0.0.0
--
-- @Support: LS-Modcompany
--
-- Changelog:
--
-- 	v1.0.0.0 (01.03.2020):
-- 		- initial Script Fs19
--
-- Notes:
--
--
-- ToDo:
-- 
--
--

GC_AddOnDisableTurnOffMotor = {}

function GC_AddOnDisableTurnOffMotor:initGlobalCompany(customEnvironment, baseDirectory, xmlFile)
	if (g_company == nil) or (GC_AddOnDisableTurnOffMotor.isInitiated ~= nil) then
		return
	end

	GC_AddOnDisableTurnOffMotor.debugIndex = g_company.debug:registerScriptName("GC_AddOnDisableTurnOffMotor");
	GC_AddOnDisableTurnOffMotor.modName = customEnvironment
	GC_AddOnDisableTurnOffMotor.isInitiated = true
		
	Motorized.onUpdateTick = g_company.utils.appendedFunction(Motorized.onUpdateTick, GC_AddOnDisableTurnOffMotor.onUpdateTick)
end

function GC_AddOnDisableTurnOffMotor:onUpdateTick(motor, ret, dt, isActiveForInput, isActiveForInputIgnoreSelection, isSelected)
	local spec = motor.spec_motorized
	spec.motorStopTimer = spec.motorStopTimerDuration
	return ret
end